ForwardPerformanceVanillaEngine< Engine > Class Template Reference
Pricing engines » Forward option engines

Forward performance engine for vanilla options More...

`#include <ql/pricingengines/forward/forwardperformanceengine.hpp>`

Inheritance diagram for ForwardPerformanceVanillaEngine< Engine >:
[legend]

## Public Member Functions

| ForwardPerformanceVanillaEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const
Public Member Functions inherited from ForwardVanillaEngine< Engine >
| ForwardVanillaEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &)
Public Member Functions inherited from GenericEngine< ForwardOptionArguments< VanillaOption::arguments >, VanillaOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from PricingEngine
virtual arguments * | getArguments () const =0
virtual const results * | getResults () const =0
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Protected Member Functions

void | getOriginalResults () const
Protected Member Functions inherited from ForwardVanillaEngine< Engine >
void | setup () const
void | getOriginalResults () const

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from ForwardVanillaEngine< Engine >
ext::shared_ptr< GeneralizedBlackScholesProcess > | process_
ext::shared_ptr< Engine > | originalEngine_
VanillaOption::arguments * | originalArguments_
const VanillaOption::results * | originalResults_
Protected Attributes inherited from GenericEngine< ForwardOptionArguments< VanillaOption::arguments >, VanillaOption::results >
ForwardOptionArguments< VanillaOption::arguments > | arguments_
VanillaOption::results | results_

## Detailed Description

### template<class Engine>
class QuantLib::ForwardPerformanceVanillaEngine< Engine >

Forward performance engine for vanilla options

Tests:
  - the correctness of the returned value is tested by reproducing results available in literature.
  - the correctness of the returned greeks is tested by reproducing numerical derivatives.